package com.leanwo.activiti.dto.base;
/**
 * 用户任务DTO.
 *
 * @author YangZhiJie 20170711
 */
public class UserTaskDto {

	/**
	 * 用户任务Id.
	 */
	private String id;
	
	/**
	 * 用户任务名称.
	 */
	private String name;
	
	/**
	 * 候选用户.
	 */
	private String[] candidateUserIds;
	
	/**
	 * 候选用户组.
	 */
	private String[] candidateGroupIds;
	
	/**
	 * 是否是多实例.
	 */
	private boolean multipleInstance;
	
	/**
	 * 任务指派人.
	 */
	private Long[] assigneeIds;

	/**
	 * 描述.
	 */
	protected String documentation;

	/** 部署Id. */
	private String deploymentId;
	
	/**
	 * Gets the 用户任务Id.
	 *
	 * @return the 用户任务Id
	 */
	public String getId() {
		return id;
	}

	/**
	 * Sets the 用户任务Id.
	 *
	 * @param id the new 用户任务Id
	 */
	public void setId(String id) {
		this.id = id;
	}

	/**
	 * Gets the 用户任务名称.
	 *
	 * @return the 用户任务名称
	 */
	public String getName() {
		return name;
	}

	/**
	 * Sets the 用户任务名称.
	 *
	 * @param name the new 用户任务名称
	 */
	public void setName(String name) {
		this.name = name;
	}

	/**
	 * Gets the 候选用户.
	 *
	 * @return the 候选用户
	 */
	public String[] getCandidateUserIds() {
		return candidateUserIds;
	}

	/**
	 * Sets the 候选用户.
	 *
	 * @param candidateUserIds the new 候选用户
	 */
	public void setCandidateUserIds(String[] candidateUserIds) {
		this.candidateUserIds = candidateUserIds;
	}

	/**
	 * Gets the 候选用户组.
	 *
	 * @return the 候选用户组
	 */
	public String[] getCandidateGroupIds() {
		return candidateGroupIds;
	}

	/**
	 * Sets the 候选用户组.
	 *
	 * @param candidateGroupIds the new 候选用户组
	 */
	public void setCandidateGroupIds(String[] candidateGroupIds) {
		this.candidateGroupIds = candidateGroupIds;
	}

	/**
	 * Checks if is 是否是多实例.
	 *
	 * @return the 是否是多实例
	 */
	public boolean isMultipleInstance() {
		return multipleInstance;
	}

	/**
	 * Sets the 是否是多实例.
	 *
	 * @param multipleInstance the new 是否是多实例
	 */
	public void setMultipleInstance(boolean multipleInstance) {
		this.multipleInstance = multipleInstance;
	}

	/**
	 * Gets the 任务指派人.
	 *
	 * @return the 任务指派人
	 */
	public Long[] getAssigneeIds() {
		return assigneeIds;
	}

	/**
	 * Sets the 任务指派人.
	 *
	 * @param assigneeIds the new 任务指派人
	 */
	public void setAssigneeIds(Long[] assigneeIds) {
		this.assigneeIds = assigneeIds;
	}


	/**
	 * Gets the 描述.
	 *
	 * @return the 描述
	 */
	public String getDocumentation() {
		return documentation;
	}

	/**
	 * Sets the 描述.
	 *
	 * @param documentation the new 描述
	 */
	public void setDocumentation(String documentation) {
		this.documentation = documentation;
	}

	/**
	 * Gets the 部署Id.
	 *
	 * @return the 部署Id
	 */
	public String getDeploymentId() {
		return deploymentId;
	}

	/**
	 * Sets the 部署Id.
	 *
	 * @param deploymentId the new 部署Id
	 */
	public void setDeploymentId(String deploymentId) {
		this.deploymentId = deploymentId;
	}
}
